package com.securitycontrol.background.mapper;

import com.securitycontrol.entity.background.vo.UserProVo;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 用户工程 分配
 * @author 黑子
 */
@Repository
public interface UserProMapper {

    /**
     * 查询用户结合
     * @param dto
     * @return
     */
    List<UserProVo> getUserList(UserProVo dto);

    /**
     * 已分配用户信息集合
     * @param dto
     * @return
     */
    List<UserProVo> getFpProList(UserProVo dto);

    /**
     * 查询未分配的工程数据
     * @param dto
     * @return
     */
    List<UserProVo> getProList(UserProVo dto);

    /**
     * 删除已分配的用户编码
     * @param userId
     * @param bidCode
     */
    void deleteUserProByCode(@Param("userId") String userId,@Param("bidCode") String bidCode);

    /**
     * 新增用户 工程
     * @param userId
     * @param bidCode
     */
    void addUserPro(@Param("userId")String userId, @Param("bidCode") String bidCode);
}
